
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version      1.13.15

Name:           kubernetes-cni-plugins
Version:        0.8.6
Release:        1.0.3%{dist}
BuildArch:      x86_64
Summary:        Container Network Interface Plugins - networking plugins for Linux containers
Vendor:         Oracle America
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/containernetworking/plugins
Source:         cni-plugins-%{version}.tar.bz2
BuildRequires:  golang >= %{golang_version}
#%{?systemd_requires}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-plugins-%{version}

%build

chmod +x build_linux.sh
./build_linux.sh -ldflags '-extldflags -static -X github.com/containernetworking/plugins/pkg/utils/buildversion.BuildVersion=v%{version}'

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/opt/cni

%changelog
* Fri Aug 14 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.8.6-1.0.3
- Address CVE-2020-16845

* Wed Jun 03 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.8.6-1.0.1
- Added Oracle specific build files for Kubernetes CNI Plugins
